## net.sourceforge.pmd.cpd
Class CPD

    java.lang.Object
      net.sourceforge.pmd.cpd.CPD

public class CPD
extends java.lang.Object

Constructor Summary
`CPD(int minimumTileSize, Language language)`

Method Summary
`void` `add(java.io.File file)`
`void` `add(java.util.List files)`
`void` `addAllInDirectory(java.lang.String dir)`
`void` `addRecursively(java.lang.String dir)`
`java.util.Iterator` `getMatches()`
`static Renderer` `getRendererFromString(java.lang.String name)`
`void` `go()`
`static void` `main(java.lang.String[] args)`
`void` `setCpdListener(CPDListener cpdListener)`
`void` `skipDuplicates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPD

    public CPD(int minimumTileSize,
               Language language)

Method Detail

### skipDuplicates

    public void skipDuplicates()

### setCpdListener

    public void setCpdListener(CPDListener cpdListener)

### go

    public void go()

### getMatches

    public java.util.Iterator getMatches()

### add

    public void add(java.io.File file)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addAllInDirectory

    public void addAllInDirectory(java.lang.String dir)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addRecursively

    public void addRecursively(java.lang.String dir)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(java.util.List files)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendererFromString

    public static Renderer getRendererFromString(java.lang.String name)

### main

    public static void main(java.lang.String[] args)

Copyright © 2002-2006 InfoEther. All Rights Reserved.